Bug 167601

Summary: JSDOMBinding is too big. Split it up!
Product: WebKit Reporter: Sam Weinig <sam>
Component: New BugsAssignee: Sam Weinig <sam>
Status: RESOLVED FIXED    
Severity: Normal CC: achristensen, commit-queue, darin, joepeck, ossy
Priority: P2    
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch
none
Patch
none
Patch darin: review+

Description Sam Weinig 2017-01-30 13:23:12 PST
JSDOMBinding is too big. Split it up!
Comment 1 Sam Weinig 2017-01-30 13:31:52 PST
Created attachment 300138 [details]
Patch
Comment 2 WebKit Commit Bot 2017-01-30 13:34:53 PST
Attachment 300138 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/JSDOMBindingSecurity.h:44:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/JSDOMWrapperCache.h:184:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WebCore/bindings/js/JSDOMWrapperCache.h:195:  This { should be at the end of the previous line  [whitespace/braces] [4]
Total errors found: 3 in 45 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 3 Sam Weinig 2017-01-30 15:41:43 PST
Created attachment 300154 [details]
Patch
Comment 4 WebKit Commit Bot 2017-01-30 15:43:52 PST
Attachment 300154 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/JSDOMBindingSecurity.h:44:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/JSDOMWrapperCache.h:184:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WebCore/bindings/js/JSDOMWrapperCache.h:195:  This { should be at the end of the previous line  [whitespace/braces] [4]
Total errors found: 3 in 47 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 5 Sam Weinig 2017-01-30 16:13:48 PST
Created attachment 300156 [details]
Patch
Comment 6 WebKit Commit Bot 2017-01-30 16:16:40 PST
Attachment 300156 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/JSDOMBindingSecurity.h:44:  Code inside a namespace should not be indented.  [whitespace/indent] [4]
ERROR: Source/WebCore/bindings/js/JSDOMWrapperCache.h:184:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WebCore/bindings/js/JSDOMWrapperCache.h:195:  This { should be at the end of the previous line  [whitespace/braces] [4]
Total errors found: 3 in 49 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 7 Sam Weinig 2017-01-30 17:26:06 PST
Created attachment 300166 [details]
Patch
Comment 8 WebKit Commit Bot 2017-01-30 17:27:30 PST
Attachment 300166 [details] did not pass style-queue:


ERROR: Source/WebCore/bindings/js/JSDOMWrapperCache.h:184:  This { should be at the end of the previous line  [whitespace/braces] [4]
ERROR: Source/WebCore/bindings/js/JSDOMWrapperCache.h:195:  This { should be at the end of the previous line  [whitespace/braces] [4]
Total errors found: 2 in 80 files


If any of these errors are false positives, please file a bug against check-webkit-style.
Comment 9 Sam Weinig 2017-01-30 19:38:58 PST
Committed r211403: <http://trac.webkit.org/changeset/211403>
Comment 10 Joseph Pecoraro 2017-01-30 22:24:59 PST
Awesome!
Comment 11 Csaba Osztrogon√°c 2017-01-31 02:33:58 PST
(In reply to comment #9)
> Committed r211403: <http://trac.webkit.org/changeset/211403>

It broke the Apple Mac cmake build, see https://build.webkit.org/builders/Apple%20El%20Capitan%20CMake%20Debug%20%28Build%29/builds/11660 for details.
Comment 12 Csaba Osztrogon√°c 2017-02-01 03:09:08 PST
buildfix landed in https://trac.webkit.org/changeset/211476